<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <nav>
      <a class="nav-font" id="link" href="{% url 'home' %}">Main Page</a>

      {% if user.is_authenticated %} Hello, {{ user.username }}
      <ul>
        <li><a href="{% url 'create_category' %}">Create a category</a></li>
        <li><a href="{% url 'category_list' %}">Category List </a></li>
        <li><a href="{% url 'account_list' %}"> My account </a><li>
        <li><a href="{% url 'create_receipt' %}">Create a Receipt</a></li>
        <li><a href="{% url 'create_account' %}">Create an Account</a></li>
        <li><a href="{% url 'logout' %}">Logout</a></li>
      </ul>
      {% else %}
      <ul>
        <li><a href="{% url 'signup' %}">Sign up</a></li>
        <li><a href="{% url 'login' %}">Log in</a></li>
      </ul>
      {% endif %}
    </nav>
    <main>
      {% if user.is_authenticated %}
      <h1>My Receipts</h1>

      <table>
        <tr>
          <thead>
            <tr>
              <th>Vendor</th>
              <th>Total</th>
              <th>Tax</th>
              <th>Date</th>
              <th>Category</th>
              <th>Account</th>
            </tr>
          </thead>
          <tbody>
            {% comment %} for every receipt in all of the lists {% endcomment %}
            {% for single_receipt_list in all_the_lists%}
            <tr>
              {% comment %} we want them to match the header above, we have
              access to them because it's looping through all_the_lists which
              grabbed all of the records in our Receipt database (line 5 in
              receipt/views.py) {% endcomment %}
              <td>{{single_receipt_list.vendor}}</td>
              <td>{{single_receipt_list.total}}</td>
              <td>{{single_receipt_list.tax}}</td>
              <td>{{single_receipt_list.date|date:"m/d/y"}}</td>
              <td>{{single_receipt_list.category}}</td>
              <td>{{single_receipt_list.account}}</td>
            </tr>
            {% endfor %}
          </tbody>
        </tr>
      </table>
      {% endif %}
    </main>
  </body>
</html>
